POST api/BusinessModules/{businessModuleId}/Entities/Create/{siteCreationBehaviour}?modelId={modelId}&stageId={stageId}
Create business module entity in WorkPoint
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| businessModuleId |
The id of the business module |
globally unique identifier |
Required |
| siteCreationBehaviour |
Create a site when creating entity. |
WorkPoint.Integration.Common.SiteCreationBehaviourEnum |
Required |
| modelId |
The stage model of the entity |
globally unique identifier |
None. |
| stageId |
The start stage of the entity |
string |
Default value is |
Body Parameters
WorkPoint365.WebAPI.Model.Controllers.Entity.EntityCreateParameterNone.
Request Formats
application/json, text/json
Sample:
{}
application/xml, text/xml
Sample:
<EntityCreateParameter xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/WorkPoint365.WebAPI.Model.Controllers.Entity" />
Response Information
Resource Description
The id of the created entity.
System.Web.Http.IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.